#INVERTER
-Bits[1..36]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity |Name| is
    Port ( d : in std_logic_vector(|Bits-| downto 0);
           q : out std_logic_vector(|Bits-| downto 0));
end |Name|;

architecture Behavioral of |Name| is
begin
  q <= not d;
end Behavioral;
>


#AND
-Bits[1..36]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity |Name| is
    Port ( da : in std_logic_vector(|Bits-| downto 0);
           db : in std_logic_vector(|Bits-| downto 0);
           q  : out std_logic_vector(|Bits-| downto 0));
end |Name|;

architecture Behavioral of |Name| is
begin
  q <= da and db;
end Behavioral;
>


#NAND
-Bits[1..36]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity |Name| is
    Port ( da : in std_logic_vector(|Bits-| downto 0);
           db : in std_logic_vector(|Bits-| downto 0);
           q  : out std_logic_vector(|Bits-| downto 0));
end |Name|;

architecture Behavioral of |Name| is
begin
  q <=  da nand db;
end Behavioral;
>


#OR
-Bits[1..36]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity |Name| is
    Port ( da : in std_logic_vector(|Bits-| downto 0);
           db : in std_logic_vector(|Bits-| downto 0);
           q  : out std_logic_vector(|Bits-| downto 0));
end |Name|;

architecture Behavioral of |Name| is
begin
  q <= da or db;
end Behavioral;
>


#NOR
-Bits[1..36]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity |Name| is
    Port ( da : in std_logic_vector(|Bits-| downto 0);
           db : in std_logic_vector(|Bits-| downto 0);
           q  : out std_logic_vector(|Bits-| downto 0));
end |Name|;

architecture Behavioral of |Name| is
begin
  q <= da nor db;
end Behavioral;
>


#XOR
-Bits[1..36]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity |Name| is
    Port ( da : in std_logic_vector(|Bits-| downto 0);
           db : in std_logic_vector(|Bits-| downto 0);
           q  : out std_logic_vector(|Bits-| downto 0));
end |Name|;

architecture Behavioral of |Name| is
begin
  q <= da xor db;
end Behavioral;
>


#XNOR
-Bits[1..36]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity |Name| is
    Port ( da : in std_logic_vector(|Bits-| downto 0);
           db : in std_logic_vector(|Bits-| downto 0);
           q  : out std_logic_vector(|Bits-| downto 0));
end |Name|;

architecture Behavioral of |Name| is
begin
  q <= da xnor db;
end Behavioral;
>
